cURL
curl --request GET \ --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/search \ --header 'Authorization: Bearer <token>'
{ "catalogInfo": { "id": "<string>", "name": "<string>", "columns": [ { "name": "<string>", "type": "Text", "notEmpty": true, "title": "<string>", "parameterType": "Text", "order": 123, "isPredefined": true } ], "catalogType": "Custom", "description": "<string>", "importFileName": "<string>", "locale": "International", "recordsCount": 123, "usedInSkills": [ { "skillId": "<string>", "version": 123 } ], "lastRecordsUpdateTime": "<string>" }, "records": [ { "externalId": "<string>", "columnValues": {} } ] }
The access token received from the authorization server in the OAuth 2.0 flow.
目录 ID
前缀值,最小长度为 2 个字符。
2
响应中返回的最大记录数。
用于分页的偏移量,指定在开始收集结果集之前要跳过的记录数。
成功
表示一次目录搜索操作的结果。
针对“目录”类型数据集配置文件的附加信息
显示 子属性
与搜索条件匹配的目录记录列表。
此页面对您有帮助吗?